Skip to main content
GET
/
boosted-pages
/
source-detail
/
{id}
Get Boosted Source details
curl --request GET \
  --url https://api.boosterberg.com-beta.com/v1/boosted-pages/source-detail/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "active": "1",
  "page_id": "123456789",
  "instagram_id": "123456789",
  "preset_id": "123456789",
  "campaign_budget_value": "10",
  "adset_budget_sharing_enabled": false,
  "campaign_bid_strategy_enabled": false,
  "campaign_bid_amount": "1.50",
  "audience_targeting": {},
  "hashtag": "<string>",
  "page": {
    "id": 123,
    "name": "<string>",
    "picture": "<string>"
  },
  "instagram": {
    "id": 123,
    "name": "<string>",
    "picture": "<string>"
  },
  "preset": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required
Example:

11

Response

200 - application/json

Returns Boosted Page Object

id
integer
active
boolean
Example:

"1"

page_id
integer
Example:

"123456789"

instagram_id
integer
Example:

"123456789"

preset_id
integer
Example:

"123456789"

campaign_budget_type
enum<string>
Available options:
daily,
lifetime
campaign_budget_value
number
Example:

"10"

adset_budget_sharing_enabled
boolean
Example:

false

campaign_bid_strategy_enabled
boolean
Example:

false

campaign_bid_strategy
enum<string>
Available options:
LOWEST_COST_WITHOUT_CAP,
COST_CAP,
LOWEST_COST_WITH_BID_CAP
campaign_bid_amount
number
Example:

"1.50"

goal
enum<string>
Available options:
POST_ENGAGEMENT,
LINK_CLICKS,
CONVERSIONS,
REACH,
BRAND_AWARENESS,
APP_INSTALLS,
VIDEO_VIEWS
audience_targeting
object
hashtag
string
page
object
instagram
object
preset
object